#!/bin/bash
# Draft of automatic linking script. Customize for your setup and point the
# EventScript variable of tlb.conf to this file.

LOGFILE="/var/lib/thelinkbox/scripting.log"

if [ $1 = "starting" ]
then
   # These are run right after tlb startup.
   
   date >> $LOGFILE
   echo -n "tlb starting up, connecting... " >> $LOGFILE
   sleep 1
   
   tlbcmd -q -b "connect -a -r 10.36.99.250"
   RETVAL=$?
   if [ $RETVAL -ne 0 ]
   then
      echo "tlbcmd error: connect -a -r 10.36.99.250 failed." >> $LOGFILE
      exit 1
   fi
   echo "connected." >> $LOGFILE

elif [ $1 = "connected" ]
then
   # These are run when successfully connected.
   
   echo -n "tlb is connected, linking to RNET... " >> $LOGFILE
   sleep 1
   
   tlbcmd -q -b "link *RNET_Primary* Hervanta_12765"
   RETVAL=$?
   if [ $RETVAL -ne 0 ]
   then
      echo "tlbcmd error: link *RNET_Primary* Hervanta_12765 failed." >> $LOGFILE
      exit 1
   fi

   echo "success!" >> $LOGFILE

elif [ $1 = "shutdown" ]
then
   # These are run on tlb shutdown.
   
   date >> $LOGFILE
   tlbcmd "tlb shutting down" >> $LOGFILE
fi
